Get Device Configuration Management Summary Information

get

/rest/{versionId}/configuration/devices/{deviceId}

Use this (GET) method to retrieve a summary of the targeted device information such as software version, platform, provisioning status, management IP address, if there are any configuration modifications pending, and so on.

Request

Path Parameters
Back to Top

Response

200 Response

Retrieved device configuration summary successfully

400 Response

The user input is invalid.

401 Response

The user is unauthorized.

403 Response

The user doesn't have required permission

404 Response

The object (resource URI, device, and so on) of your input request cannot be found.

500 Response

An internal server error has occurred while processing the request.
Back to Top

Examples

Examples of Accessing the API

See Authenticate page to acquire a token.

The following example shows how to use curl to get device configuration management summary information.

curl -X GET \
    -H @auth_header.txt \
    "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/configuration/devices/<deviceId>"

The following example shows how to use Python to get device configuration management summary information.

import requests
headers = { "Authorization": "Bearer <auth-token>" }
url  = "https://<tenant-url>/<tenant-name>/osdmc/ums/rest/<versionId>/configuration/devices/<deviceId>"
resp = requests.get(url, headers=headers)

Note:

Use the Get a List of Devices Associated with Config Manager API to find the deviceId parameter.

Example of the Response Body

The following example shows the contents of the response body.

{
  "bootstrapState": "Activated",
  "connectivityStatus": true,
  "id": "2",
  "ip": "192.0.2.10",
  "key": "osdmc-vsbc28_192.0.2.10",
  "manageable": true,
  "name": "osdmc-vsbc28",
  "nfId": "22",
  "nfName": "sbc28",
  "parentGroupId": "22",
  "platformInfo": {
    "platform": "NNOSVM"
  },
  "siteId": "1",
  "softwareInfo": {
    "configVersion": "208",
    "version": "SCZ1010"
  },
  "lastOperation": "SaveActivate",
  "pendingChanges": "0",
  "status": "Success",
  "statusChangeTime": "Fri Feb 06 09:27:30 GMT 2026"
}
Back to Top